Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-53441

Compatibility with Configuration As Code Plugin

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Lots of plugins are configurable with the configuration-as-code plugin (see https://github.com/jenkinsci/configuration-as-code-plugin).

      It's currently not possible to configure the mask password plugin (Descriptor doesn't expose any setter, so nothing you can configure).

        Attachments

          Activity

          Hide
          oleg_nenashev Oleg Nenashev added a comment -

          The plugin is up for adoption. I may be available to review&ship such change if somebody proposes a pull request.

          Show
          oleg_nenashev Oleg Nenashev added a comment - The plugin is up for adoption. I may be available to review&ship such change if somebody proposes a pull request.
          Show
          timja Tim Jacomb added a comment - Looks like this needs an update: https://github.com/jenkinsci/mask-passwords-plugin/blob/ffd1d9b867904937b8e718575b6b5e1b9eb6133b/src/main/java/com/michelin/cio/hudson/plugins/maskpasswords/MaskPasswordsBuildWrapper.java#L344 Updated jenkins version here: https://github.com/timja/mask-passwords-plugin/tree/jcasc-compat

            People

            • Assignee:
              Unassigned
              Reporter:
              olivier_lambert Olivier Lambert
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated: